
Name:          ant-googlecode
Version:       0.0.3
Release:       %mkrel 0.20110720.1
Summary:       Upload binaries to Google Code using Ant
Group:         Development/Java
License:       BSD
Url:           http://code.google.com/p/ant-googlecode/
# svn export http://ant-googlecode.googlecode.com/svn/trunk/ant-googlecode
# tar czf ant-googlecode-0.0.3-src-svn20110720.tar.gz ant-googlecode
Source0:       ant-googlecode-0.0.3-src-svn20110720.tar.gz
BuildRequires: ant
BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: junit
Requires:      jpackage-utils
BuildArch:     noarch

%description
This project currently provides a single Ant task which uploads files to a Google Code project's file space.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      %{name} = %{version}-%{release} 
Requires:      jpackage-utils

%description javadoc
%{name} - Upload binaries to Google Code using Ant.

This package contains javadoc for %{name}.

%prep
%setup -q -n ant-googlecode

for j in $(find . -name "*.jar" -o -name "*.class"); do 
	rm -rf $j
done

%build

ant jar

%javadoc -d javadoc \
	-encoding iso-8859-1 \
	`find src -name \*.java`
	
%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -pm 644 %{name}-%{version}.jar \
	%{buildroot}%{_javadir}
ln -sf %{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_javadocdir}
cp -pr javadoc %{buildroot}%{_javadocdir}/%{name}-%{version}
ln -sf %{name}-%{version} %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/%{name}.jar
%doc %{name}-%{version}.jar.md5 build.credentials.example

%files javadoc
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}



%changelog
* Wed Jul 20 2011 dmorgan <dmorgan> 0.0.3-0.20110720.1.mga2
+ Revision: 127410
- Clean spec file

  + gil <gil>
    - imported package ant-googlecode


* Wed Jul 20 2011 gil <gil> 0.0.3-0.%%mkrel
- initial rpm

